# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cabeza-de-termo/assets/version'

Gem::Specification.new do |spec|
  spec.name          = "assets-library-for-hanami"
  spec.version       = CabezaDeTermo::Assets::Library::VERSION
  spec.authors       = ["Martin Rubi"]
  spec.email         = ["martinrubi@gmail.com"]

  spec.summary       = %q{Framework to organize and collect css and js assets in your Hanami application.}
  spec.description   = %q{This framework allows you to declare js and css bundles and assets, including dependencies to other bundles, and collect them from your View.}
  spec.homepage      = "https://github.com/cabeza-de-termo/assets-library-for-hanami"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.0'

  spec.add_dependency "cdt-utilities", "~> 0.3"

  spec.add_development_dependency "bundler", "~> 1.8"
  spec.add_development_dependency "rake", "~> 10.0"
end
